import request from '@/utils/request';
import { UPMS_SREVICE } from '@/api/module/urls'
/**
 * 获取lxId
 */
 export function getLxId(jgid,mtid) {
    return request({
        url: '/EquipController/queryLx/' + jgid + '/' + mtid,
        method: 'get'
    })
}
/**
 * 获取EqmId
 */
 export function getEqmId(jgid,lxid,mtid) {
    return request({
        url: '/EquipController/queryEqmId/' + jgid + '/' + lxid + '/' + mtid,
        method: 'get'
    })
}
/**
 * 油色谱
 */
// 表格数据
export function oilChromaControllerTable(eqmid) {
    return request({
        url: '/oilChromaController/queryTableData/' + eqmid,
        method: 'get'
    })
}
// 趋势图数据
export function oilChromaControllerLine(eqmid) {
    return request({
        url: '/oilChromaController/queryLineData/' + eqmid,
        method: 'get'
    })
}

/**
 * 铁芯/夹件
 */
// 表格数据
export function ironCoreJoinClampControllerTable({ ...idGather }) {
    return request({
        url: '/ironCoreJoinClampController/queryTableData/' + idGather.ironCoreId + '/' + idGather.clampId,
        method: 'get'
    })
}
// 趋势图数据
export function ironCoreJoinClampControllerLine({ ...idGather }) {
    return request({
        url: '/ironCoreJoinClampController/queryLineData/' + idGather.ironCoreId + '/' + idGather.clampId,
        method: 'get'
    })
}

/**
* 电缆环流
*/
// 表格数据
export function cableCircleControllerTable(arr) {
    return request({
        url: '/cableCircleController/queryTableData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2]+'/'+ arr[3]+'/'+ arr[4]+'/'+ arr[5],
        method: 'get'
    })
}
// 趋势图数据
export function cableCircleControllerLine(arr) {
    return request({
        url: '/cableCircleController/queryLineData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2]+'/'+ arr[3]+'/'+ arr[4]+'/'+ arr[5],
        method: 'get'
    })
}

/**
* 红外
*/
// 表格数据
export function InfraredThermographyControllerTable(arr) {
    return request({
        url: '/InfraredThermographyController/queryTableData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2],
        method: 'get'
    })
}
// 趋势图数据
export function InfraredThermographyControllerLine(arr) {
    return request({
        url: '/InfraredThermographyController/queryLineData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2],
        method: 'get'
    })
}

/**
* 局放
*/
// 表格数据
export function CablePartialDischargeControllerTable(arr) {
    return request({
        url: '/cablePartialDischargeController/queryTableData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2],
        method: 'get'
    })
}
// 趋势图数据
export function CablePartialDischargeControllerLine(arr) {
    return request({
        url: '/cablePartialDischargeController/queryLineData/' + arr[0]+'/'+ arr[1]+'/'+ arr[2],
        method: 'get'
    })
}

/**
* 监测装置
*/

/**
* GIS
*/
// 表格数据
export function SF6ControllerTable(eqmid) {
    return request({
        url: '/SF6Controller/queryTableData/' + eqmid,
        method: 'get'
    })
}
// 趋势图数据
export function SF6ControllerLine(eqmid) {
    return request({
        url: '/SF6Controller/queryLineData/' + eqmid,
        method: 'get'
    })
}

/**
* 避雷器
*/
// 表格数据
export function BlackBlqControllerTable(eqmid) {
    return request({
        url: '/BlqController/queryTableData/' + eqmid,
        method: 'get'
    })
}
// 趋势图数据
export function BlackBlqControllerLine(eqmid) {
    return request({
        url: '/BlqController/queryLineData/' + eqmid,
        method: 'get'
    })
}

/**
 * 设备信息
 */
// 设备总数
export function getEquNum() {
    return request({
        url: '/EquipController/queryEquipNum',
        method: 'get'
    })
}

/**
 * 告警详情
 */
// 变电设备类型
export function getJgType() {
    return request({
        url: '/EquipController/queryJg',
        method: 'get'
    })
}

// 设备小类
export function getLxType(jgid) {
    return request({
        url: '/EquipController/getLxType/' + jgid,
        method: 'get'
    })
}

// 监测设备类型
export function getEqType(jgid,lxid) {
    return request({
        url: '/EquipController/getEqType/' + jgid +'/'+ lxid,
        method: 'get'
    })
}

// 告警列表
export function queryAlarm(params) {
    return request({
      url: '/cableCirculationController/page',
      method: 'post',
      data: params
    })
  }

// 告警详情列表
export function queryAlarmDetail(params) {
    return request({
      url: '/cableCirculationController/secondPage',
      method: 'post',
      data: params
    })
  }

// 告警处理
export function dealwarning(params) {
    return request({
      url: '/cableCirculationController/deal',
      method: 'post',
      data: params
    })
  }
